Debian Bug report logs - #651912
sandboxing-related renderer crash ("Aw, snap") when loading NSS modules

version graph

Package: chromium; Maintainer for chromium is Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>; Source for chromium is src:chromium-browser.

Reported by: jsmith@alum.mit.edu

Date: Tue, 13 Dec 2011 04:27:01 UTC

Severity: important

Tags: pending

Merged with 647992

Found in versions chromium-browser/15.0.874.106~r107270-1, chromium-browser/15.0.874.121~r109964-1, chromium-browser/14.0.835.157~r99685-1, chromium-browser/18.0.1025.151~r130497-1, chromium-browser/14.0.835.202~r103287-1, chromium-browser/16.0.912.63~r113337-1

Fixed in version chromium-browser/20.0.1132.21~r139451-1

Done: Giuseppe Iuculano <iuculano@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://crbug.com/21540

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#651912; Package chromium. (Tue, 13 Dec 2011 04:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to jsmith@alum.mit.edu:
New Bug report received and forwarded. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Tue, 13 Dec 2011 04:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeffry Smith <jsmith@alum.mit.edu>
To: submit@bugs.debian.org
Subject: "Aw Snap" with Chromium 15.0.874.121~r109964-1, libnss3-1d 3.13.1.with.ckbi.1.88-1
Date: Mon, 12 Dec 2011 23:22:48 -0500
Package: Chromium

Still get "Aw Snap!" when trying to start Chromium.

Chromium:  aptitude versions chromium
p   14.0.835.202~r103287-1                        testing                   500
i   15.0.874.121~r109964-1                        unstable                  500

Libnss3-1d: aptitude versions libnss3-1d
i A 3.13.1.with.ckbi.1.88-1                       testing,unstable          500

I have tor running (0.2.2.34-1+b1).  I can get Chromium to work with
the flags --single-process && --no-proxy-server, but just running
--no-proxy-server I get the same "Aw Snap" error




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#651912; Package chromium. (Tue, 13 Dec 2011 04:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Tue, 13 Dec 2011 04:39:06 GMT) Full text and rfc822 format available.

Message #10 received at 651912@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: jsmith@alum.mit.edu
Cc: 651912@bugs.debian.org
Subject: Re: "Aw Snap" with Chromium 15.0.874.121~r109964-1, libnss3-1d 3.13.1.with.ckbi.1.88-1
Date: Mon, 12 Dec 2011 22:34:53 -0600
severity 651912 important
found 651912 chromium-browser/15.0.874.121~r109964-1
tags 651912 + unreproducible
quit

Hi Jeffry,

Jeffry Smith wrote:

> Still get "Aw Snap!" when trying to start Chromium.

Thanks for reporting it.

Please send output from

	ldd /usr/lib/chromium/chromium
	grep . /etc/ld.so.conf /etc/ld.so.conf.d/*
	echo $LD_LIBRARY_PATH
	ls -ld /usr/lib/nss




Severity set to 'important' from 'normal' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 13 Dec 2011 04:39:08 GMT) Full text and rfc822 format available.

Bug Marked as found in versions chromium-browser/15.0.874.121~r109964-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 13 Dec 2011 04:39:08 GMT) Full text and rfc822 format available.

Added tag(s) unreproducible. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 13 Dec 2011 04:39:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#651912; Package chromium. (Tue, 13 Dec 2011 04:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to jsmith@alum.mit.edu:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Tue, 13 Dec 2011 04:45:03 GMT) Full text and rfc822 format available.

Message #21 received at 651912@bugs.debian.org (full text, mbox):

From: Jeffry Smith <jsmith@alum.mit.edu>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 651912@bugs.debian.org
Subject: Re: "Aw Snap" with Chromium 15.0.874.121~r109964-1, libnss3-1d 3.13.1.with.ckbi.1.88-1
Date: Mon, 12 Dec 2011 23:42:52 -0500
On Mon, Dec 12, 2011 at 11:34 PM, Jonathan Nieder <jrnieder@gmail.com> wrote:
> severity 651912 important
> found 651912 chromium-browser/15.0.874.121~r109964-1
> tags 651912 + unreproducible
> quit
>
> Hi Jeffry,
>
> Jeffry Smith wrote:
>
>> Still get "Aw Snap!" when trying to start Chromium.
>
> Thanks for reporting it.
>
> Please send output from
>
>        ldd /usr/lib/chromium/chromium
linux-vdso.so.1 =>  (0x00007fff12bfe000)
	libX11.so.6 => /usr/lib/x86_64-linux-gnu/libX11.so.6 (0x00007fc7e027c000)
	libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007fc7e0078000)
	libXrender.so.1 => /usr/lib/x86_64-linux-gnu/libXrender.so.1
(0x00007fc7dfe6d000)
	libXss.so.1 => /usr/lib/x86_64-linux-gnu/libXss.so.1 (0x00007fc7dfc6a000)
	libXext.so.6 => /usr/lib/x86_64-linux-gnu/libXext.so.6 (0x00007fc7dfa57000)
	librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007fc7df84e000)
	libgtk-x11-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
(0x00007fc7df20d000)
	libgdk-x11-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0
(0x00007fc7def59000)
	libpangocairo-1.0.so.0 =>
/usr/lib/x86_64-linux-gnu/libpangocairo-1.0.so.0 (0x00007fc7ded4b000)
	libgdk_pixbuf-2.0.so.0 =>
/usr/lib/x86_64-linux-gnu/libgdk_pixbuf-2.0.so.0 (0x00007fc7deb2c000)
	libcairo.so.2 => /usr/lib/libcairo.so.2 (0x00007fc7de86c000)
	libpango-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libpango-1.0.so.0
(0x00007fc7de61e000)
	libfreetype.so.6 => /usr/lib/x86_64-linux-gnu/libfreetype.so.6
(0x00007fc7de380000)
	libfontconfig.so.1 => /usr/lib/x86_64-linux-gnu/libfontconfig.so.1
(0x00007fc7de14b000)
	libgobject-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0
(0x00007fc7ddef9000)
	libgthread-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgthread-2.0.so.0
(0x00007fc7ddcf4000)
	libglib-2.0.so.0 => /lib/x86_64-linux-gnu/libglib-2.0.so.0 (0x00007fc7dd9fd000)
	libevent-2.0.so.5 => /usr/lib/libevent-2.0.so.5 (0x00007fc7dd7b6000)
	libnss3.so.1d => /usr/lib/x86_64-linux-gnu/libnss3.so.1d (0x00007fc7dd4af000)
	libnssutil3.so.1d => /usr/lib/x86_64-linux-gnu/libnssutil3.so.1d
(0x00007fc7dd28c000)
	libsmime3.so.1d => /usr/lib/x86_64-linux-gnu/libsmime3.so.1d
(0x00007fc7dd064000)
	libplc4.so.0d => /usr/lib/x86_64-linux-gnu/libplc4.so.0d (0x00007fc7dce60000)
	libnspr4.so.0d => /usr/lib/x86_64-linux-gnu/libnspr4.so.0d (0x00007fc7dcc21000)
	libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007fc7dca04000)
	libz.so.1 => /usr/lib/libz.so.1 (0x00007fc7dc7ed000)
	libv8.so.3.5.10.24 => /usr/lib/libv8.so.3.5.10.24 (0x00007fc7dc219000)
	libgconf-2.so.4 => /usr/lib/libgconf-2.so.4 (0x00007fc7dbfd9000)
	libresolv.so.2 => /lib/x86_64-linux-gnu/libresolv.so.2 (0x00007fc7dbdc3000)
	libpng12.so.0 => /lib/x86_64-linux-gnu/libpng12.so.0 (0x00007fc7dbb9d000)
	libjpeg.so.8 => /usr/lib/libjpeg.so.8 (0x00007fc7db962000)
	libxml2.so.2 => /usr/lib/libxml2.so.2 (0x00007fc7db605000)
	libasound.so.2 => /usr/lib/x86_64-linux-gnu/libasound.so.2 (0x00007fc7db312000)
	libwebp.so.2 => /usr/lib/libwebp.so.2 (0x00007fc7db0d8000)
	libxslt.so.1 => /usr/lib/libxslt.so.1 (0x00007fc7dae9b000)
	libcups.so.2 => /usr/lib/x86_64-linux-gnu/libcups.so.2 (0x00007fc7dac44000)
	libgcrypt.so.11 => /lib/x86_64-linux-gnu/libgcrypt.so.11 (0x00007fc7da9c5000)
	libbz2.so.1.0 => /lib/x86_64-linux-gnu/libbz2.so.1.0 (0x00007fc7da7b5000)
	libexpat.so.1 => /lib/x86_64-linux-gnu/libexpat.so.1 (0x00007fc7da58c000)
	libFLAC.so.8 => /usr/lib/x86_64-linux-gnu/libFLAC.so.8 (0x00007fc7da33f000)
	libspeex.so.1 => /usr/lib/libspeex.so.1 (0x00007fc7da126000)
	libdbus-1.so.3 => /lib/x86_64-linux-gnu/libdbus-1.so.3 (0x00007fc7d9ee1000)
	libdbus-glib-1.so.2 => /usr/lib/x86_64-linux-gnu/libdbus-glib-1.so.2
(0x00007fc7d9cb8000)
	libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007fc7d99b4000)
	libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007fc7d9732000)
	libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007fc7d951b000)
	libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007fc7d9197000)
	libxcb.so.1 => /usr/lib/x86_64-linux-gnu/libxcb.so.1 (0x00007fc7d8f7b000)
	/lib64/ld-linux-x86-64.so.2 (0x00007fc7e4121000)
	libXcomposite.so.1 => /usr/lib/x86_64-linux-gnu/libXcomposite.so.1
(0x00007fc7d8d78000)
	libXdamage.so.1 => /usr/lib/x86_64-linux-gnu/libXdamage.so.1
(0x00007fc7d8b76000)
	libXfixes.so.3 => /usr/lib/x86_64-linux-gnu/libXfixes.so.3 (0x00007fc7d8970000)
	libatk-1.0.so.0 => /usr/lib/x86_64-linux-gnu/libatk-1.0.so.0
(0x00007fc7d874c000)
	libgio-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
(0x00007fc7d8407000)
	libpangoft2-1.0.so.0 =>
/usr/lib/x86_64-linux-gnu/libpangoft2-1.0.so.0 (0x00007fc7d81db000)
	libgmodule-2.0.so.0 => /usr/lib/x86_64-linux-gnu/libgmodule-2.0.so.0
(0x00007fc7d7fd7000)
	libXinerama.so.1 => /usr/lib/x86_64-linux-gnu/libXinerama.so.1
(0x00007fc7d7dd5000)
	libXi.so.6 => /usr/lib/x86_64-linux-gnu/libXi.so.6 (0x00007fc7d7bc5000)
	libXrandr.so.2 => /usr/lib/x86_64-linux-gnu/libXrandr.so.2 (0x00007fc7d79bd000)
	libXcursor.so.1 => /usr/lib/x86_64-linux-gnu/libXcursor.so.1
(0x00007fc7d77b3000)
	libpixman-1.so.0 => /usr/lib/x86_64-linux-gnu/libpixman-1.so.0
(0x00007fc7d752b000)
	libxcb-shm.so.0 => /usr/lib/x86_64-linux-gnu/libxcb-shm.so.0
(0x00007fc7d7328000)
	libxcb-render.so.0 => /usr/lib/x86_64-linux-gnu/libxcb-render.so.0
(0x00007fc7d711e000)
	libffi.so.5 => /usr/lib/x86_64-linux-gnu/libffi.so.5 (0x00007fc7d6f11000)
	libpcre.so.3 => /lib/x86_64-linux-gnu/libpcre.so.3 (0x00007fc7d6cd4000)
	libplds4.so.0d => /usr/lib/x86_64-linux-gnu/libplds4.so.0d (0x00007fc7d6ad1000)
	libicui18n.so.48 => /usr/lib/libicui18n.so.48 (0x00007fc7d6703000)
	libicuuc.so.48 => /usr/lib/libicuuc.so.48 (0x00007fc7d6396000)
	libORBit-2.so.0 => /usr/lib/libORBit-2.so.0 (0x00007fc7d6123000)
	libgssapi_krb5.so.2 => /usr/lib/x86_64-linux-gnu/libgssapi_krb5.so.2
(0x00007fc7d5ee3000)
	libkrb5.so.3 => /usr/lib/x86_64-linux-gnu/libkrb5.so.3 (0x00007fc7d5c17000)
	libk5crypto.so.3 => /usr/lib/x86_64-linux-gnu/libk5crypto.so.3
(0x00007fc7d59ed000)
	libcom_err.so.2 => /lib/x86_64-linux-gnu/libcom_err.so.2 (0x00007fc7d57ea000)
	libgnutls.so.26 => /usr/lib/x86_64-linux-gnu/libgnutls.so.26
(0x00007fc7d552b000)
	libavahi-common.so.3 =>
/usr/lib/x86_64-linux-gnu/libavahi-common.so.3 (0x00007fc7d531e000)
	libavahi-client.so.3 =>
/usr/lib/x86_64-linux-gnu/libavahi-client.so.3 (0x00007fc7d510d000)
	libgpg-error.so.0 => /lib/libgpg-error.so.0 (0x00007fc7d4f0a000)
	libogg.so.0 => /usr/lib/libogg.so.0 (0x00007fc7d4d03000)
	libXau.so.6 => /usr/lib/x86_64-linux-gnu/libXau.so.6 (0x00007fc7d4b00000)
	libXdmcp.so.6 => /usr/lib/x86_64-linux-gnu/libXdmcp.so.6 (0x00007fc7d48f9000)
	libselinux.so.1 => /lib/x86_64-linux-gnu/libselinux.so.1 (0x00007fc7d46d9000)
	libicudata.so.48 => /usr/lib/libicudata.so.48 (0x00007fc7d3369000)
	libkrb5support.so.0 => /usr/lib/x86_64-linux-gnu/libkrb5support.so.0
(0x00007fc7d3161000)
	libkeyutils.so.1 => /lib/x86_64-linux-gnu/libkeyutils.so.1 (0x00007fc7d2f5d000)
	libtasn1.so.3 => /usr/lib/x86_64-linux-gnu/libtasn1.so.3 (0x00007fc7d2d4d000)
	libp11-kit.so.0 => /usr/lib/x86_64-linux-gnu/libp11-kit.so.0
(0x00007fc7d2b3a000)


>        grep . /etc/ld.so.conf /etc/ld.so.conf.d/*
grep . /etc/ld.so.conf:
include /etc/ld.so.conf.d/*.conf

grep . /etc/ld.so.conf.d/*
/etc/ld.so.conf.d/32lib.conf:/usr/lib32
/etc/ld.so.conf.d/32lib.conf:/lib32
/etc/ld.so.conf.d/libc.conf:# libc default configuration
/etc/ld.so.conf.d/libc.conf:/usr/local/lib
/etc/ld.so.conf.d/libR.conf:# make libR.so and libRlapack.so visible to ld.so
/etc/ld.so.conf.d/libR.conf:/usr/lib/R/lib
/etc/ld.so.conf.d/x86_64-linux-gnu.conf:# Multiarch support
/etc/ld.so.conf.d/x86_64-linux-gnu.conf:/lib/x86_64-linux-gnu
/etc/ld.so.conf.d/x86_64-linux-gnu.conf:/usr/lib/x86_64-linux-gnu
/etc/ld.so.conf.d/zz_i386-biarch-compat.conf:# Legacy biarch
compatibility support
/etc/ld.so.conf.d/zz_i386-biarch-compat.conf:/lib32
/etc/ld.so.conf.d/zz_i386-biarch-compat.conf:/usr/lib32

>        echo $LD_LIBRARY_PATH
blank (no such environment variable)

ls -ld /usr/lib/nss
lrwxrwxrwx 1 root root 30 Nov 23 09:40 /usr/lib/nss ->
/usr/lib/x86_64-linux-gnu/nss/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#651912; Package chromium. (Tue, 13 Dec 2011 04:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Tue, 13 Dec 2011 04:51:03 GMT) Full text and rfc822 format available.

Message #26 received at 651912@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Jeffry Smith <jsmith@alum.mit.edu>
Cc: 651912@bugs.debian.org
Subject: Re: "Aw Snap" with Chromium 15.0.874.121~r109964-1, libnss3-1d 3.13.1.with.ckbi.1.88-1
Date: Mon, 12 Dec 2011 22:47:59 -0600
Jeffry Smith wrote:

> ls -ld /usr/lib/nss
> lrwxrwxrwx 1 root root 30 Nov 23 09:40 /usr/lib/nss -> /usr/lib/x86_64-linux-gnu/nss/

Yep, this is your bug (or rather, this is how you escaped the
workaround to the still-present chromium bug).  How did that symlink
get there?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#651912; Package chromium. (Tue, 13 Dec 2011 04:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to jsmith@alum.mit.edu:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Tue, 13 Dec 2011 04:54:03 GMT) Full text and rfc822 format available.

Message #31 received at 651912@bugs.debian.org (full text, mbox):

From: Jeffry Smith <jsmith@alum.mit.edu>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 651912@bugs.debian.org
Subject: Re: "Aw Snap" with Chromium 15.0.874.121~r109964-1, libnss3-1d 3.13.1.with.ckbi.1.88-1
Date: Mon, 12 Dec 2011 23:51:05 -0500
Put there a while ago to fix a different bug - I'd have to trace it
back.  Should I remove the symlink?

On Mon, Dec 12, 2011 at 11:47 PM, Jonathan Nieder <jrnieder@gmail.com> wrote:
> Jeffry Smith wrote:
>
>> ls -ld /usr/lib/nss
>> lrwxrwxrwx 1 root root 30 Nov 23 09:40 /usr/lib/nss -> /usr/lib/x86_64-linux-gnu/nss/
>
> Yep, this is your bug (or rather, this is how you escaped the
> workaround to the still-present chromium bug).  How did that symlink
> get there?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#651912; Package chromium. (Tue, 13 Dec 2011 05:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Tue, 13 Dec 2011 05:00:03 GMT) Full text and rfc822 format available.

Message #36 received at 651912@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Jeffry Smith <jsmith@alum.mit.edu>
Cc: 651912@bugs.debian.org
Subject: Re: "Aw Snap" with Chromium 15.0.874.121~r109964-1, libnss3-1d 3.13.1.with.ckbi.1.88-1
Date: Mon, 12 Dec 2011 22:56:19 -0600
tags 651912 - unreproducible
retitle 651912 sandboxing-related renderer crash ("Aw, snap") when loading NSS modules
quit

Jeffry Smith wrote:

> Put there a while ago to fix a different bug - I'd have to trace it
> back.  Should I remove the symlink?

Sure, that will get chromium working again.

But really, we should fix the bug. :)  So let's keep this report
open.

Thanks,
Jonathan




Removed tag(s) unreproducible. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 13 Dec 2011 05:00:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'sandboxing-related renderer crash ("Aw, snap") when loading NSS modules' from '"Aw Snap" with Chromium 15.0.874.121~r109964-1, libnss3-1d 3.13.1.with.ckbi.1.88-1' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Tue, 13 Dec 2011 05:00:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#651912; Package chromium. (Tue, 13 Dec 2011 05:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to jsmith@alum.mit.edu:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Tue, 13 Dec 2011 05:09:03 GMT) Full text and rfc822 format available.

Message #45 received at 651912@bugs.debian.org (full text, mbox):

From: Jeffry Smith <jsmith@alum.mit.edu>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 651912@bugs.debian.org
Subject: Re: "Aw Snap" with Chromium 15.0.874.121~r109964-1, libnss3-1d 3.13.1.with.ckbi.1.88-1
Date: Tue, 13 Dec 2011 00:06:08 -0500
On Mon, Dec 12, 2011 at 11:56 PM, Jonathan Nieder <jrnieder@gmail.com> wrote:
> tags 651912 - unreproducible
> retitle 651912 sandboxing-related renderer crash ("Aw, snap") when loading NSS modules
> quit
>
> Jeffry Smith wrote:
>
>> Put there a while ago to fix a different bug - I'd have to trace it
>> back.  Should I remove the symlink?
>
> Sure, that will get chromium working again.
>
> But really, we should fix the bug. :)  So let's keep this report
> open.
>
> Thanks,
> Jonathan

That fixes the problem, but I still have problems with chromium and
tor - have to start with --no-proxy-server (otherwise it reports it
can't find the system proxy).  I'll have to file another bug report on
that unless there's an easy fix someone can pass on.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#651912; Package chromium. (Wed, 14 Dec 2011 09:42:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Igor Goryachev <igor@goryachev.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Wed, 14 Dec 2011 09:42:14 GMT) Full text and rfc822 format available.

Message #50 received at 651912@bugs.debian.org (full text, mbox):

From: Igor Goryachev <igor@goryachev.org>
To: 651912@bugs.debian.org
Subject: Re: "Aw Snap" with Chromium 15.0.874.121~r109964-1, libnss3-1d 3.13.1.with.ckbi.1.88-1
Date: Wed, 14 Dec 2011 13:31:44 +0400
Hi,

I am still getting "Aw, snap!" without any symlinks around NSS libs. May
be the important fact that I have Squeeze system and my chromium is
backported one.


% cat /etc/debian_version 
6.0.3


% uname -a
Linux micra 2.6.32-5-686 #1 SMP Mon Oct 3 04:15:24 UTC 2011 i686 GNU/Linux


% ldd /usr/lib/chromium/chromium
  linux-gate.so.1 =>  (0xb77d7000)
  libX11.so.6 => /usr/lib/libX11.so.6 (0xb4288000)
  libdl.so.2 => /lib/i686/cmov/libdl.so.2 (0xb4284000)
  libXrender.so.1 => /usr/lib/libXrender.so.1 (0xb427a000)
  libXss.so.1 => /usr/lib/libXss.so.1 (0xb4277000)
  libXext.so.6 => /usr/lib/libXext.so.6 (0xb4268000)
  librt.so.1 => /lib/i686/cmov/librt.so.1 (0xb425f000)
  libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0xb3e89000)
  libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0xb3df2000)
  libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0xb3dd9000)
  libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0xb3dce000)
  libcairo.so.2 => /usr/lib/libcairo.so.2 (0xb3d1a000)
  libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0xb3cd6000)
  libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb3c5f000)
  libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb3c2f000)
  libgobject-2.0.so.0 => /usr/lib/libgobject-2.0.so.0 (0xb3bf1000)
  libgthread-2.0.so.0 => /usr/lib/libgthread-2.0.so.0 (0xb3bec000)
  libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0xb3b23000)
  libevent-1.4.so.2 => /usr/lib/libevent-1.4.so.2 (0xb3b0c000)
  libnss3.so.1d => /usr/lib/libnss3.so.1d (0xb3a35000)
  libnssutil3.so.1d => /usr/lib/libnssutil3.so.1d (0xb3a20000)
  libsmime3.so.1d => /usr/lib/libsmime3.so.1d (0xb3a02000)
  libplc4.so.0d => /usr/lib/libplc4.so.0d (0xb39fe000)
  libnspr4.so.0d => /usr/lib/libnspr4.so.0d (0xb39ca000)
  libpthread.so.0 => /lib/i686/cmov/libpthread.so.0 (0xb39b0000)
  libz.so.1 => /usr/lib/libz.so.1 (0xb399c000)
  libv8.so.3.5.10.24 => /usr/lib/libv8.so.3.5.10.24 (0xb3649000)
  libgconf-2.so.4 => /usr/lib/libgconf-2.so.4 (0xb3616000)
  libresolv.so.2 => /lib/i686/cmov/libresolv.so.2 (0xb3602000)
  libpng12.so.0 => /lib/libpng12.so.0 (0xb35de000)
  libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0xb35bd000)
  libxml2.so.2 => /usr/lib/libxml2.so.2 (0xb3493000)
  libasound.so.2 => /usr/lib/libasound.so.2 (0xb33cb000)
  libwebp.so.0 => /usr/lib/libwebp.so.0 (0xb33a7000)
  libxslt.so.1 => /usr/lib/libxslt.so.1 (0xb3370000)
  libcups.so.2 => /usr/lib/libcups.so.2 (0xb3325000)
  libgcrypt.so.11 => /usr/lib/libgcrypt.so.11 (0xb32b0000)
  libbz2.so.1.0 => /lib/libbz2.so.1.0 (0xb329f000)
  libexpat.so.1 => /usr/lib/libexpat.so.1 (0xb3279000)
  libFLAC.so.8 => /usr/lib/libFLAC.so.8 (0xb3229000)
  libspeex.so.1 => /usr/lib/sse2/libspeex.so.1 (0xb320e000)
  libdbus-1.so.3 => /lib/libdbus-1.so.3 (0xb31d4000)
  libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0xb31b4000)
  libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb30bf000)
  libm.so.6 => /lib/i686/cmov/libm.so.6 (0xb3099000)
  libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xb307b000)
  libc.so.6 => /lib/i686/cmov/libc.so.6 (0xb2f35000)
  libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb2f1b000)
  /lib/ld-linux.so.2 (0xb77d8000)
  libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0xb2f18000)
  libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0xb2f15000)
  libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0xb2f10000)
  libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0xb2ef4000)
  libgio-2.0.so.0 => /usr/lib/libgio-2.0.so.0 (0xb2e57000)
  libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0xb2e31000)
  libgmodule-2.0.so.0 => /usr/lib/libgmodule-2.0.so.0 (0xb2e2d000)
  libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0xb2e2a000)
  libXi.so.6 => /usr/lib/libXi.so.6 (0xb2e1d000)
  libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0xb2e15000)
  libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0xb2e0c000)
  libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0xb2d9c000)
  libxcb-shm.so.0 => /usr/lib/libxcb-shm.so.0 (0xb2d99000)
  libxcb-render.so.0 => /usr/lib/libxcb-render.so.0 (0xb2d92000)
  libpcre.so.3 => /lib/libpcre.so.3 (0xb2d5e000)
  libnsl.so.1 => /lib/i686/cmov/libnsl.so.1 (0xb2d47000)
  libplds4.so.0d => /usr/lib/libplds4.so.0d (0xb2d44000)
  libicui18n.so.44 => /usr/lib/libicui18n.so.44 (0xb2b68000)
  libicuuc.so.44 => /usr/lib/libicuuc.so.44 (0xb2a2e000)
  libORBit-2.so.0 => /usr/lib/libORBit-2.so.0 (0xb29d9000)
  libgssapi_krb5.so.2 => /usr/lib/libgssapi_krb5.so.2 (0xb29aa000)
  libkrb5.so.3 => /usr/lib/libkrb5.so.3 (0xb28f8000)
  libk5crypto.so.3 => /usr/lib/libk5crypto.so.3 (0xb28d5000)
  libcom_err.so.2 => /lib/libcom_err.so.2 (0xb28d2000)
  libgnutls.so.26 => /usr/lib/libgnutls.so.26 (0xb2839000)
  libavahi-common.so.3 => /usr/lib/libavahi-common.so.3 (0xb282d000)
  libavahi-client.so.3 => /usr/lib/libavahi-client.so.3 (0xb281d000)
  libgpg-error.so.0 => /usr/lib/libgpg-error.so.0 (0xb2819000)
  libogg.so.0 => /usr/lib/libogg.so.0 (0xb2813000)
  libXau.so.6 => /usr/lib/libXau.so.6 (0xb280f000)
  libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0xb280a000)
  libselinux.so.1 => /lib/libselinux.so.1 (0xb27ef000)
  libicudata.so.44 => /usr/lib/libicudata.so.44 (0xb19ae000)
  libkrb5support.so.0 => /usr/lib/libkrb5support.so.0 (0xb19a6000)
  libkeyutils.so.1 => /lib/libkeyutils.so.1 (0xb19a3000)
  libtasn1.so.3 => /usr/lib/libtasn1.so.3 (0xb1993000)


% grep . /etc/ld.so.conf /etc/ld.so.conf.d/*
/etc/ld.so.conf:include /etc/ld.so.conf.d/*.conf
/etc/ld.so.conf.d/i486-linux-gnu.conf:# Multiarch support
/etc/ld.so.conf.d/i486-linux-gnu.conf:/lib/i486-linux-gnu
/etc/ld.so.conf.d/i486-linux-gnu.conf:/usr/lib/i486-linux-gnu
/etc/ld.so.conf.d/libc.conf:# libc default configuration
/etc/ld.so.conf.d/libc.conf:/usr/local/lib


% echo $LD_LIBRARY_PATH

(empty)


% ls -ld /usr/lib/nss
drwxr-xr-x 2 root root 4096 May 15  2011 /usr/lib/nss


-- 
Igor Goryachev




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#651912; Package chromium. (Wed, 14 Dec 2011 09:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Wed, 14 Dec 2011 09:51:05 GMT) Full text and rfc822 format available.

Message #55 received at 651912@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Igor Goryachev <igor@goryachev.org>
Cc: 651912@bugs.debian.org
Subject: Re: sandboxing-related renderer crash ("Aw, snap") when loading NSS modules
Date: Wed, 14 Dec 2011 03:49:36 -0600
Hi Igor,

Igor Goryachev wrote:

> I am still getting "Aw, snap!" without any symlinks around NSS libs.
[...]
> % ls -ld /usr/lib/nss
> drwxr-xr-x 2 root root 4096 May 15  2011 /usr/lib/nss

Yeah, if your libnss3-1d is the squeeze version, then you will run
into this, too.  Maybe we should declare a "Breaks:" to prevent that.
Or even better, we should fix the bug.

Help would be appreciated.  A good starting point might be here: [1].

Thanks for writing,
Jonathan

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=647992#109




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#651912; Package chromium. (Wed, 14 Dec 2011 10:39:30 GMT) Full text and rfc822 format available.

Acknowledgement sent to Igor Goryachev <igor@goryachev.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Wed, 14 Dec 2011 10:39:35 GMT) Full text and rfc822 format available.

Message #60 received at 651912@bugs.debian.org (full text, mbox):

From: Igor Goryachev <igor@goryachev.org>
To: 651912@bugs.debian.org
Subject: Re: sandboxing-related renderer crash ("Aw, snap") when loading NSS modules
Date: Wed, 14 Dec 2011 14:35:50 +0400
Hi, Jonathan.

The same behaviour with libnss3-1d (3.13.1.with.ckbi.1.88-1~bpo60+1)
taken from Backports repository.


-- 
Igor Goryachev




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#651912; Package chromium. (Wed, 14 Dec 2011 10:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Wed, 14 Dec 2011 10:54:06 GMT) Full text and rfc822 format available.

Message #65 received at 651912@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Igor Goryachev <igor@goryachev.org>
Cc: 651912@bugs.debian.org
Subject: Re: sandboxing-related renderer crash ("Aw, snap") when loading NSS modules
Date: Wed, 14 Dec 2011 04:51:15 -0600
Igor Goryachev wrote:

> The same behaviour with libnss3-1d (3.13.1.with.ckbi.1.88-1~bpo60+1)
> taken from Backports repository.

Yeah, looks like Mike undid the multiarch stuff for backports.  You
should be able to benefit from the workaround, too, by changing

   paths.push_back(FilePath("/usr/lib/nss"));

to

-  paths.push_back(FilePath("/usr/lib/nss"));
+

in debian/patches/nss-workaround.patch.  Though I'd be happier with
an actual fix.

I'm kind of surprised that this only started happening with chromium
15, though --- chromium 14 should have already been affected.  Do you
know what upgrade triggered this on your machine?  Was it a chromium
upgrade or an nss one?

Thanks,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#651912; Package chromium. (Wed, 14 Dec 2011 11:10:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Wed, 14 Dec 2011 11:10:07 GMT) Full text and rfc822 format available.

Message #70 received at 651912@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Igor Goryachev <igor@goryachev.org>
Cc: 651912@bugs.debian.org
Subject: Re: sandboxing-related renderer crash ("Aw, snap") when loading NSS modules
Date: Wed, 14 Dec 2011 05:06:58 -0600
Jonathan Nieder wrote:

>                                                                 You
> should be able to benefit from the workaround, too, by changing
>
>    paths.push_back(FilePath("/usr/lib/nss"));
>
> to
>
> -  paths.push_back(FilePath("/usr/lib/nss"));
> +
>
> in debian/patches/nss-workaround.patch.

To save the time rebuilding: that was just a complicated way to say
"remove the line 'paths.push_back(FilePath("/usr/lib/nss"))' in
src/crypto/nss_util.cc".

One can also achieve approximately the same effect by installing
hexedit and running

	hexedit /usr/lib/chromium/chromium
	<TAB>	(to move to the ASCII column)
	/ /usr/lib/nss	(to find that path mentioned there)
	X a few times	(to corrupt it)
	<control + X>	(to save and exit)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#651912; Package chromium. (Wed, 21 Dec 2011 22:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Max Dmitrichenko <dmitrmax@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Wed, 21 Dec 2011 22:06:03 GMT) Full text and rfc822 format available.

Message #75 received at 651912@bugs.debian.org (full text, mbox):

From: Max Dmitrichenko <dmitrmax@gmail.com>
To: 651912@bugs.debian.org
Subject: Re: sandboxing-related renderer crash ("Aw, snap") when loading NSS modules
Date: Thu, 22 Dec 2011 01:02:28 +0300
Jonathan Nieder wrote:

> I'm kind of surprised that this only started happening with chromium
> 15, though --- chromium 14 should have already been affected.  Do you
> know what upgrade triggered this on your machine?  Was it a chromium
> upgrade or an nss one?

I can assure you that this bug also affects chromium 14 at least
14.0.835.202~r103287-1. I've tried to backport it on squeezy but got
the same bug.

--
 Max




Bug Marked as found in versions chromium-browser/14.0.835.202~r103287-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 22 Dec 2011 09:18:27 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#651912; Package chromium. (Mon, 26 Dec 2011 17:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominique Brazziel <dbrazziel@snet.net>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Mon, 26 Dec 2011 17:27:03 GMT) Full text and rfc822 format available.

Message #82 received at 651912@bugs.debian.org (full text, mbox):

From: Dominique Brazziel <dbrazziel@snet.net>
To: 651912@bugs.debian.org
Subject: hexedit workaround does not work
Date: Mon, 26 Dec 2011 12:24:42 -0500
[Message part 1 (text/plain, inline)]
"One can also achieve approximately the same effect by installing

hexedit and running

	hexedit /usr/lib/chromium/chromium
	<TAB>	(to move to the ASCII column)
	/ /usr/lib/nss	(to find that path mentioned there)
	X a few times	(to corrupt it)
	<control + X>	(to save and exit)"

I replaced the entire path (/usr/lib/nss/libsoftokn3.so) with
'X'es and am still getting these annoying messages
on startup and every time I open a new tab and go to a website.
I don't know if another portion of the code is trying
to load this library or what, but it is worthless to
me and spams the heck out of '.xsession-errors'.

Why is the code referencing '/usr/lib/nss'?  The directory
does not exist on Debian:

/usr/lib/chromium$ dlocate /usr/lib/nss
/usr/lib/chromium$ dpkg -S /usr/lib/nss
/usr/lib/chromium$ dpkg-query: no path found matching pattern /usr/lib/nss.






[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#651912; Package chromium. (Mon, 26 Dec 2011 19:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Mon, 26 Dec 2011 19:42:03 GMT) Full text and rfc822 format available.

Message #87 received at 651912@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Dominique Brazziel <dbrazziel@snet.net>
Cc: 651912@bugs.debian.org
Subject: Re: sandboxing-related renderer crash ("Aw, snap") when loading NSS modules
Date: Mon, 26 Dec 2011 13:39:31 -0600
Dominique Brazziel wrote:

> I replaced the entire path (/usr/lib/nss/libsoftokn3.so) with
> 'X'es and am still getting these annoying messages
> on startup and every time I open a new tab and go to a website.

That's not the same bug --- this bug is about a crash ("Aw, snap").
Feel free to file a new bug for the messages if interested.  Or if you
have time and ideas for doing so, help us fix the bug, perhaps
starting at [1].

Thanks for your interest,
Jonathan

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=647992#109




Bug Marked as found in versions chromium-browser/16.0.912.63~r113337-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 01 Jan 2012 20:42:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#651912; Package chromium. (Sun, 01 Jan 2012 21:30:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Sun, 01 Jan 2012 21:30:13 GMT) Full text and rfc822 format available.

Message #94 received at 651912@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 651912@bugs.debian.org
Subject: Re: sandboxing-related renderer crash ("Aw, snap") when loading NSS modules
Date: Sun, 1 Jan 2012 15:28:39 -0600
found 651912 chromium-browser/14.0.835.157~r99685-1
found 651912 chromium-browser/15.0.874.106~r107270-1
quit

Reproducible with version 14 r99685 from snapshot.debian.org.  Not
reproducible with version 13.0.782.220~r99552-1.

 $ dpkg-query -W libv8-3.4.14.13
 libv8-3.4.14.13	3.4.14.13-4




Bug Marked as found in versions chromium-browser/14.0.835.157~r99685-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 01 Jan 2012 21:30:15 GMT) Full text and rfc822 format available.

Bug Marked as found in versions chromium-browser/15.0.874.106~r107270-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 01 Jan 2012 21:30:16 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://crbug.com/21540'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 01 Jan 2012 21:48:06 GMT) Full text and rfc822 format available.

Added indication that bug 651912 blocks 647992 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 02 Jan 2012 09:54:49 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#651912; Package chromium. (Sat, 07 Jan 2012 12:46:00 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Fabien C." <r112i7oldi3yvkc@jetable.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Sat, 07 Jan 2012 12:46:24 GMT) Full text and rfc822 format available.

Message #107 received at 651912@bugs.debian.org (full text, mbox):

From: "Fabien C." <r112i7oldi3yvkc@jetable.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 651912@bugs.debian.org
Subject: Re: Re: sandboxing-related renderer crash ("Aw, snap") when loading NSS modules
Date: Sat, 07 Jan 2012 13:17:31 +0100
> I'm kind of surprised that this only started happening with chromium
> 15, though --- chromium 14 should have already been affected.  Do you
> know what upgrade triggered this on your machine?  Was it a chromium
> upgrade or an nss one?

When I backported chromium 14 from Sid to Squeeze I had that "Aw, 
Snap!" problem. The workaround you gave has been working so far (from 
v14 to v16), thank you! 

Still, I don't exactly understand what bug is this, and why it has been
triggered by a Debian patch.

Has anyone been explaining it with words? ;) 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#651912; Package chromium. (Thu, 12 Jan 2012 00:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Thu, 12 Jan 2012 00:12:05 GMT) Full text and rfc822 format available.

Message #112 received at 651912@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: "Fabien C." <r112i7oldi3yvkc@jetable.org>
Cc: 651912@bugs.debian.org
Subject: Re: Re: sandboxing-related renderer crash ("Aw, snap") when loading NSS modules
Date: Wed, 11 Jan 2012 18:13:19 -0600
Hi Fabien,

Fabien C. wrote:

> Still, I don't exactly understand what bug is this, and why it has been
> triggered by a Debian patch.

chromium's sandboxed environment is weird.  All file descriptors are
closed or redirected to nowhere at some point, and the sandboxed
process doesn't have access to the regular file system, for example.

Anyway, something about this environment is causing NSS initialization
to trigger SIGABRT.  Feels like a tripped assertion in the dynamic
linker, but I don't know.

I suspect it's not a Debian-specific bug.

For a long time we narrowly escaped trouble by another bug (revived by
the workaround), which is that NSS initialization wasn't happening as
chromium couldn't find the NSS libraries in the paths it was looking
for it, due to multiarch.

I don't know how upstream deals with it --- maybe they have patched
nss, maybe they use a different version of libnss than us, maybe some
other external library we are using interacts with this.  The stack
trace is kind of weird --- the failure reliably happens in NSPR's
equivalent of pthread_once preparing to call a function that would
seed a random number generator --- so maybe NSPR is involved
somewhere.  Maybe it has to do with the linker or the version of
ld.so.  I also haven't looked into how other distros (Tom Calloway's
packaging for Fedora, Fabien Tassin et al's packing for Ubuntu, etc)
deal with this and would be happy to hear if someone finds time to
investigate.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#651912; Package chromium. (Sat, 26 May 2012 04:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Sat, 26 May 2012 04:15:04 GMT) Full text and rfc822 format available.

Message #117 received at 651912@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 651912@bugs.debian.org
Cc: Vincent Bernat <bernat@debian.org>, libnss3-1d@packages.debian.org
Subject: Re: sandboxing-related renderer crash ("Aw, snap") when loading NSS modules
Date: Fri, 25 May 2012 23:13:04 -0500
Hi,

Vincent Bernat wrote:
> 03:19, Jonathan Nieder <jrnieder@gmail.com> disait :

>> | SECStatus
>> | RNG_RNGInit(void)
>> | {
>> |     /* Allow only one call to initialize the context */
>> |     fprintf(stderr, "about to call rng_init()\n");	<--- reached
>> |     PR_CallOnce(&coRNGInit, rng_init);
>> |     fprintf(stderr, "not printed\n");		<--- not reached

The underlying problem was probably fixed by [1].  Thanks to rsleevi
for pointing it out[2].

Actually, I don't think chromium in sid has that fix, and it still
seems to be able to load libnss just fine.  Maybe there was some
other fix.  Will build and experiment a little.

Thanks,
Jonathan

[1] http://src.chromium.org/viewvc/chrome?view=rev&revision=132106
[2] http://crbug.com/91962#c52




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#651912; Package chromium. (Sat, 26 May 2012 07:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Sat, 26 May 2012 07:00:03 GMT) Full text and rfc822 format available.

Message #122 received at 651912@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 651912@bugs.debian.org
Cc: Vincent Bernat <bernat@debian.org>, libnss3-1d@packages.debian.org
Subject: Re: sandboxing-related renderer crash ("Aw, snap") when loading NSS modules
Date: Sat, 26 May 2012 01:57:34 -0500
tags 651912 + pending
quit

Jonathan Nieder wrote:
> Vincent Bernat wrote:
>> 03:19, Jonathan Nieder <jrnieder@gmail.com> disait :

>>> | SECStatus
>>> | RNG_RNGInit(void)
>>> | {
>>> |     /* Allow only one call to initialize the context */
>>> |     fprintf(stderr, "about to call rng_init()\n");	<--- reached
>>> |     PR_CallOnce(&coRNGInit, rng_init);
>>> |     fprintf(stderr, "not printed\n");		<--- not reached
>
> The underlying problem was probably fixed by [1].  Thanks to rsleevi
> for pointing it out[2].

Looks like the /dev/urandom guess was wrong.  Based on testing, this
is fixed by upgrading to libnspr4 2:4.9-2 (4.9-1 still reproduces the
bug).  Most prominent change from that update:

   * debian/control, debian/libnspr4*, debian/rules,
     mozilla/nsprpub/config/rules.mk, mozilla/nsprpub/configure.in,
     mozilla/nsprpub/lib/ds/Makefile.in,
     mozilla/nsprpub/lib/libc/src/Makefile.in,
     mozilla/nsprpub/pr/src/Makefile.in: Move to unversioned library.
     ABI compatibility is ensured upstream, and the SO version, if it needed
     a change at any time, would be a change in the library name. There is
     no reason to keep making compatibility more difficult with other distros
     and upstream binary releases. While previous versions were one-way
     compatible (binaries built against other distros or upstream nspr could
     work on Debian), this approach works both ways.

I don't understand why this changed anything.  Mike, does this make
any sense?  (Why would changing the soname of libnspr4 make it easier
to resolve references from libsoftokn3.so to nspr functions?)

Thanks again for your help and sorry to take so long at this.  The
next upload will automatically bring in an appropriate dependency.
Marking pending.




Added tag(s) pending. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 26 May 2012 07:00:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#651912; Package chromium. (Sat, 26 May 2012 07:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Sat, 26 May 2012 07:33:03 GMT) Full text and rfc822 format available.

Message #129 received at 651912@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 651912@bugs.debian.org, Vincent Bernat <bernat@debian.org>, libnss3-1d@packages.debian.org
Subject: Re: sandboxing-related renderer crash ("Aw, snap") when loading NSS modules
Date: Sat, 26 May 2012 09:29:21 +0200
On Sat, May 26, 2012 at 01:57:34AM -0500, Jonathan Nieder wrote:
> tags 651912 + pending
> quit
> 
> Jonathan Nieder wrote:
> > Vincent Bernat wrote:
> >> 03:19, Jonathan Nieder <jrnieder@gmail.com> disait :
> 
> >>> | SECStatus
> >>> | RNG_RNGInit(void)
> >>> | {
> >>> |     /* Allow only one call to initialize the context */
> >>> |     fprintf(stderr, "about to call rng_init()\n");	<--- reached
> >>> |     PR_CallOnce(&coRNGInit, rng_init);
> >>> |     fprintf(stderr, "not printed\n");		<--- not reached
> >
> > The underlying problem was probably fixed by [1].  Thanks to rsleevi
> > for pointing it out[2].
> 
> Looks like the /dev/urandom guess was wrong.  Based on testing, this
> is fixed by upgrading to libnspr4 2:4.9-2 (4.9-1 still reproduces the
> bug).  Most prominent change from that update:
> 
>    * debian/control, debian/libnspr4*, debian/rules,
>      mozilla/nsprpub/config/rules.mk, mozilla/nsprpub/configure.in,
>      mozilla/nsprpub/lib/ds/Makefile.in,
>      mozilla/nsprpub/lib/libc/src/Makefile.in,
>      mozilla/nsprpub/pr/src/Makefile.in: Move to unversioned library.
>      ABI compatibility is ensured upstream, and the SO version, if it needed
>      a change at any time, would be a change in the library name. There is
>      no reason to keep making compatibility more difficult with other distros
>      and upstream binary releases. While previous versions were one-way
>      compatible (binaries built against other distros or upstream nspr could
>      work on Debian), this approach works both ways.
> 
> I don't understand why this changed anything.  Mike, does this make
> any sense?  (Why would changing the soname of libnspr4 make it easier
> to resolve references from libsoftokn3.so to nspr functions?)

I... don't know :-/

Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#651912; Package chromium. (Sat, 26 May 2012 23:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Sat, 26 May 2012 23:51:04 GMT) Full text and rfc822 format available.

Message #134 received at 651912@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 651912@bugs.debian.org,control@bugs.debian.org,651912-submitter@bugs.debian.org
Subject: [c9e2e81] Fix for Bug#651912 committed to git
Date: Sat, 26 May 2012 23:49:36 +0000
tags 651912 + pending
thanks

Hello,

     The following change has been committed for this bug by
 Jonathan Nieder <jrnieder@gmail.com> on Sat, 26 May 2012 18:44:47 -0500.
 The fix will be in the next upload. 
=========================================================================
Require nspr4 >= 2:4.9-2

It's not clear why, but with the new nspr build the renderer does not
crash any more trying to call PR_CallOnce during NSS initialization.
With version 4.9-1 the crash is still 100% reproducible.  Add a
dependency to reflect this.

Closes: #651912
=========================================================================

You can check the diff of the fix at:

    http://anonscm.debian.org/gitweb/?p=pkg-chromium/pkg-chromium.git;a=commitdiff;h=c9e2e81






Message sent on to jsmith@alum.mit.edu:
Bug#651912. (Sat, 26 May 2012 23:51:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#651912; Package chromium. (Tue, 29 May 2012 20:12:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Tue, 29 May 2012 20:12:15 GMT) Full text and rfc822 format available.

Message sent on to jsmith@alum.mit.edu:
Bug#651912. (Tue, 29 May 2012 20:12:59 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#651912; Package chromium. (Wed, 30 May 2012 00:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Wed, 30 May 2012 00:33:02 GMT) Full text and rfc822 format available.

Message sent on to jsmith@alum.mit.edu:
Bug#651912. (Wed, 30 May 2012 00:33:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#651912; Package chromium. (Fri, 01 Jun 2012 08:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Fri, 01 Jun 2012 08:00:03 GMT) Full text and rfc822 format available.

Message sent on to jsmith@alum.mit.edu:
Bug#651912. (Fri, 01 Jun 2012 08:00:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#651912; Package chromium. (Fri, 01 Jun 2012 10:06:29 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Fri, 01 Jun 2012 10:06:39 GMT) Full text and rfc822 format available.

Message sent on to jsmith@alum.mit.edu:
Bug#651912. (Fri, 01 Jun 2012 10:06:56 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#651912; Package chromium. (Fri, 01 Jun 2012 13:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Fri, 01 Jun 2012 13:57:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#651912; Package chromium. (Fri, 01 Jun 2012 13:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Fri, 01 Jun 2012 13:57:05 GMT) Full text and rfc822 format available.

Message sent on to jsmith@alum.mit.edu:
Bug#651912. (Fri, 01 Jun 2012 13:57:59 GMT) Full text and rfc822 format available.

Message sent on to jsmith@alum.mit.edu:
Bug#651912. (Fri, 01 Jun 2012 13:58:01 GMT) Full text and rfc822 format available.

Reply sent to Giuseppe Iuculano <iuculano@debian.org>:
You have taken responsibility. (Fri, 01 Jun 2012 15:21:11 GMT) Full text and rfc822 format available.

Notification sent to jsmith@alum.mit.edu:
Bug acknowledged by developer. (Fri, 01 Jun 2012 15:21:11 GMT) Full text and rfc822 format available.

Message #190 received at 651912-close@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <iuculano@debian.org>
To: 651912-close@bugs.debian.org
Subject: Bug#651912: fixed in chromium-browser 20.0.1132.21~r139451-1
Date: Fri, 01 Jun 2012 15:20:02 +0000
Source: chromium-browser
Source-Version: 20.0.1132.21~r139451-1

We believe that the bug you reported is fixed in the latest version of
chromium-browser, which is due to be installed in the Debian FTP archive:

chromium-browser-dbg_20.0.1132.21~r139451-1_all.deb
  to main/c/chromium-browser/chromium-browser-dbg_20.0.1132.21~r139451-1_all.deb
chromium-browser-inspector_20.0.1132.21~r139451-1_all.deb
  to main/c/chromium-browser/chromium-browser-inspector_20.0.1132.21~r139451-1_all.deb
chromium-browser-l10n_20.0.1132.21~r139451-1_all.deb
  to main/c/chromium-browser/chromium-browser-l10n_20.0.1132.21~r139451-1_all.deb
chromium-browser_20.0.1132.21~r139451-1.debian.tar.gz
  to main/c/chromium-browser/chromium-browser_20.0.1132.21~r139451-1.debian.tar.gz
chromium-browser_20.0.1132.21~r139451-1.dsc
  to main/c/chromium-browser/chromium-browser_20.0.1132.21~r139451-1.dsc
chromium-browser_20.0.1132.21~r139451-1_all.deb
  to main/c/chromium-browser/chromium-browser_20.0.1132.21~r139451-1_all.deb
chromium-browser_20.0.1132.21~r139451.orig.tar.bz2
  to main/c/chromium-browser/chromium-browser_20.0.1132.21~r139451.orig.tar.bz2
chromium-dbg_20.0.1132.21~r139451-1_amd64.deb
  to main/c/chromium-browser/chromium-dbg_20.0.1132.21~r139451-1_amd64.deb
chromium-inspector_20.0.1132.21~r139451-1_all.deb
  to main/c/chromium-browser/chromium-inspector_20.0.1132.21~r139451-1_all.deb
chromium-l10n_20.0.1132.21~r139451-1_all.deb
  to main/c/chromium-browser/chromium-l10n_20.0.1132.21~r139451-1_all.deb
chromium_20.0.1132.21~r139451-1_amd64.deb
  to main/c/chromium-browser/chromium_20.0.1132.21~r139451-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 651912@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Giuseppe Iuculano <iuculano@debian.org> (supplier of updated chromium-browser package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 01 Jun 2012 15:36:07 +0200
Source: chromium-browser
Binary: chromium-browser chromium-browser-dbg chromium-browser-l10n chromium-browser-inspector chromium chromium-dbg chromium-l10n chromium-inspector
Architecture: source all amd64
Version: 20.0.1132.21~r139451-1
Distribution: experimental
Urgency: low
Maintainer: Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>
Changed-By: Giuseppe Iuculano <iuculano@debian.org>
Description: 
 chromium   - Google's open source chromium web browser
 chromium-browser - Chromium browser - transitional dummy package
 chromium-browser-dbg - chromium-browser debug symbols transitional dummy package
 chromium-browser-inspector - page inspector for the chromium-browser - transitional dummy pack
 chromium-browser-l10n - chromium-browser language packages - transitional dummy package
 chromium-dbg - Debugging symbols for the chromium web browser
 chromium-inspector - page inspector for the chromium browser
 chromium-l10n - chromium-browser language packages
Closes: 651912 661948 671994
Changes: 
 chromium-browser (20.0.1132.21~r139451-1) experimental; urgency=low
 .
   [ Jonathan Nieder ]
   * [70fc5ec] Refresh patches and add descriptions
 .
   [ Giuseppe Iuculano ]
   * [8cb8e89] Use gcc 4.6 for the moment (Closes: #671994)
 .
   [ Jonathan Nieder ]
   * [cd6baae] Build-Depends: g++-4.6
   * [09908a2] Remove workaround for bug #651912, which seems to have been fixed in libnspr
     (Closes: #661948)
   * [58d631d] Remove hardcoded versioned dependency on libnss3-1d
   * [c9e2e81] Require nspr4 >= 2:4.9-2 (Closes: #651912)
 .
   [ Giuseppe Iuculano ]
   * [150b326] Added libssl-dev in B-depends
   * [88ff66a] Refreshed patches
   * [7e7de0c] Disable tcmalloc, use internal copy of ffmpeg and libv8
   * [ca0f508] Updated patches
   * [1343b0c] Fixed floating point exception  in protobuf internal copy.
     Thanks to Andrew Chant
   * [2b62b38] Disable protobuf patch
   * [cae4c9c] updated vpx patch
   * [7233f03] Start to fix build issues with gcc 4.7
   * [b4e5b1d] Fix FTBFS when compiling with pulseaudio support
   * [235e171] install all .pak files
Checksums-Sha1: 
 0611b03f9001c0ec59e1515b21dcc745aada0cb7 3075 chromium-browser_20.0.1132.21~r139451-1.dsc
 35d2a9fbfa2426e6ffbb9d7cb304690b96b8743d 522784175 chromium-browser_20.0.1132.21~r139451.orig.tar.bz2
 437fb79ed24d2ded8589bcca6c4955a596ac0a82 249143 chromium-browser_20.0.1132.21~r139451-1.debian.tar.gz
 2e73b1489dc8b856de36d1d52dafbda60648ca10 180734 chromium-browser_20.0.1132.21~r139451-1_all.deb
 d339fd0d2ef2896ffa99da50f4f1567d41f0dccf 179992 chromium-browser-dbg_20.0.1132.21~r139451-1_all.deb
 b1894ba2b8afb380a22e01bf958f5cf806691155 180136 chromium-browser-l10n_20.0.1132.21~r139451-1_all.deb
 8c1afe4fe7a0e4a764dd8c64969326ee2a40b3e2 180012 chromium-browser-inspector_20.0.1132.21~r139451-1_all.deb
 e3b09113b268b5bfe0ecbd36307b29be83fec8bf 3227370 chromium-l10n_20.0.1132.21~r139451-1_all.deb
 25b69d789a2fa0d762d0638dce548f13205488ac 899492 chromium-inspector_20.0.1132.21~r139451-1_all.deb
 2ce00e9f1cc393a51dc79832f988bb6ea3c0fdb2 33970288 chromium_20.0.1132.21~r139451-1_amd64.deb
 fda3b8764d7482957aaf6b8d7fe6006fc0ad54b7 9464298 chromium-dbg_20.0.1132.21~r139451-1_amd64.deb
Checksums-Sha256: 
 415e421934755130bbd971d12bd5616b18ef8501d2b0ef1746b5b2a08443741f 3075 chromium-browser_20.0.1132.21~r139451-1.dsc
 b3c751141163d38ade0982c45e5a33d25681a961761e6adca89c63816fda09a7 522784175 chromium-browser_20.0.1132.21~r139451.orig.tar.bz2
 5e652102f73573866416a6bddf85cad3b85f8d44ea962f49789d3f099bc05733 249143 chromium-browser_20.0.1132.21~r139451-1.debian.tar.gz
 04ad7cacf4f6f5450e30263c679bef840a1c6a7815b5a5f53020bb3554925023 180734 chromium-browser_20.0.1132.21~r139451-1_all.deb
 4b2f2915b0b1c3f0d89163aa2e7d37129f53dfc4b963e52208bec9c46183ab23 179992 chromium-browser-dbg_20.0.1132.21~r139451-1_all.deb
 f9eb21454bd9246c72304accf5a67b58254f619d3e428848a7251de8595a5146 180136 chromium-browser-l10n_20.0.1132.21~r139451-1_all.deb
 432902b41b5d1fec195c822cdd92d6558dec39f81530e9bc68903dcdec2ba81f 180012 chromium-browser-inspector_20.0.1132.21~r139451-1_all.deb
 db01b62f36c492d35be1ef73285e6efd23b403699e6ffd927f6ef3dd3db4b727 3227370 chromium-l10n_20.0.1132.21~r139451-1_all.deb
 db2cd9e04772b8566e2f3fa52d29d68e3f9aaac41ba5de7b702e3ccb791bb865 899492 chromium-inspector_20.0.1132.21~r139451-1_all.deb
 b036c14e2dcc5e1aff7fe531e7c0503f060dd903ade6dc49a572076958d59f24 33970288 chromium_20.0.1132.21~r139451-1_amd64.deb
 aa4a6c89b91adf59d876195ee277837200c0aca1cdae2508f6dd46858338ca5f 9464298 chromium-dbg_20.0.1132.21~r139451-1_amd64.deb
Files: 
 5a02fcfe5344a75e0101598af4c50e43 3075 web optional chromium-browser_20.0.1132.21~r139451-1.dsc
 1cf646c6da8ff1ca22641d18b9af2314 522784175 web optional chromium-browser_20.0.1132.21~r139451.orig.tar.bz2
 9616af0f8a339eddac310ebdba9e4b61 249143 web optional chromium-browser_20.0.1132.21~r139451-1.debian.tar.gz
 6bb64eca17d13ba874db2eed8ff333ea 180734 oldlibs optional chromium-browser_20.0.1132.21~r139451-1_all.deb
 98de5427d72ca4329b5215d2ab82f517 179992 oldlibs extra chromium-browser-dbg_20.0.1132.21~r139451-1_all.deb
 ee5b570fc1a8aaa355306367919617ad 180136 oldlibs optional chromium-browser-l10n_20.0.1132.21~r139451-1_all.deb
 5a8313e68208a3412b022d97661973a8 180012 oldlibs optional chromium-browser-inspector_20.0.1132.21~r139451-1_all.deb
 0c78fa9247d50378a18d64924b5a60fd 3227370 web optional chromium-l10n_20.0.1132.21~r139451-1_all.deb
 3f5e8c4cd842ad6365bd42f714c8ff67 899492 web optional chromium-inspector_20.0.1132.21~r139451-1_all.deb
 78a37824fa48a619da50f36553299b5a 33970288 web optional chromium_20.0.1132.21~r139451-1_amd64.deb
 47cf28776a752148785bebdfbe5ed148 9464298 debug extra chromium-dbg_20.0.1132.21~r139451-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk/I0bYACgkQNxpp46476apy5wCfYgVVbqn9XqIJNtv4BWF5ruPW
oewAnRoqeJJXQwmZ2w+9BDSUrKykwwIv
=cfFA
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#651912; Package chromium. (Sat, 02 Jun 2012 08:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Sat, 02 Jun 2012 08:00:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 02 Jun 2012 08:00:06 GMT) Full text and rfc822 format available.

Message sent on to jsmith@alum.mit.edu:
Bug#651912. (Sat, 02 Jun 2012 08:00:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>:
Bug#651912; Package chromium. (Sun, 03 Jun 2012 15:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Chromium Maintainers <pkg-chromium-maint@lists.alioth.debian.org>. (Sun, 03 Jun 2012 15:51:03 GMT) Full text and rfc822 format available.

Message sent on to jsmith@alum.mit.edu:
Bug#651912. (Sun, 03 Jun 2012 15:51:06 GMT) Full text and rfc822 format available.

Removed indication that bug 651912 blocks 647992 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 07 Jun 2012 23:45:06 GMT) Full text and rfc822 format available.

Marked as found in versions chromium-browser/18.0.1025.151~r130497-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 07 Jun 2012 23:45:10 GMT) Full text and rfc822 format available.

Merged 647992 651912 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 07 Jun 2012 23:45:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 10 Jul 2012 07:35:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:31:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.